Reset Search
 

 

Article

WS-AP3715 IdentiFi Access Point will not upgrade to controller code version when installed in subnet 172.17.x.x

« Go Back

Information

 
TitleWS-AP3715 IdentiFi Access Point will not upgrade to controller code version when installed in subnet 172.17.x.x
Symptoms
  • WS-AP3715 IdentiFi Access Point will not upgrade to controller code version when installed in subnet 172.17.x.x
  • The AP.log file will display the following during upgrade attempt:
Jan  1 00:00:27 cap: TFTP AP3715/AP3715-09.15.02.0009.img from 172.17.101.3 in process...
Jan  1 00:00:28 kernel: skb_under_panic: text:c016a3d0 len:54 put:8 head:c99b2a00 data:c99b29fa tail:0xc99b2a30 end:0xc99b2a40 dev:wired0
Environment
  • IdentiFi Wireless
  • WS-AP3715 Access Point
  • Firmware version 08.31.01.xx and later
Cause
There was an invalid reference in firmware that causes an AP crash when trying to get firmware when in 172.17.x.x subnet
Resolution
  • Issue has been fixed in 09.01.01.xx firmware and later
  • To get the AP's upgraded when shipped with pre 09.01.01.xx code, they must be moved to another subnet outside of the 172.17.x.x range then upgraded
Additional notes
You may receive messages in the controller logs similar to: Unable to upgrade the image on the WS-AP37xx from the controller for remote locations

Feedback

 

Was this article helpful?


   

Feedback

Please tell us how we can make this article more useful.

Characters Remaining: 255